/*
Theme Name: East Devon Blinds
Theme URI: http://www.eastdevonblinds.co.uk
Version: 1.0
Description: The design for the East Devon Blinds website.
Author: East Devon Blinds
Author URI: http://www.eastdevonblinds.co.uk
template: bb-theme
*/

/* Add your custom styles here... */ 

/* header stuff */
.fl-page .fl-page-nav-bottom .fl-page-header-content .fl-page-header-text {
	font-size: 18px;
	line-height: 29px;
}

.home .fl-page-header-row h1 {
	margin-top: 0;
}

/* menu */
li.current-menu-item a:after, .fl-page-nav-wrap .navbar-nav > li > a:hover:after, .fl-page-nav-wrap .navbar-nav > li > a:focus:after, .fl-sub-menu-open > a:after, .current-menu-parent a:after {
	content: '';
	display: block;
	background: #fdc732;
	height: 4px;
	width: 100%;
	margin: 0 auto;
}

.sub-menu a:after {
	display: none !important;
}

.fl-page-nav ul.sub-menu li a {
	color: #333333;
	margin: 0;
}

.fl-page-nav ul.sub-menu li a:hover {
	background: #efefef;
}

.fl-page-nav ul.sub-menu {
	padding: 0;
	text-align: left;
}

.fl-page-nav ul.sub-menu {
	background-color: rgba(255, 255, 255, 0.9);
}

.fl-page-nav-collapse ul.navbar-nav {
    float: none;
    text-align: center;
}

/* home slider */
.home-slider .fl-content-slider .fl-slide-foreground {
	bottom: 0;
	position: absolute;
	width: 100%;
}

.home-slider .fl-content-slider .fl-slide-foreground .fl-slide-content-wrap {
	width: 100%;
}

.home-slider .fl-content-slider .fl-slide-foreground .fl-slide-content-wrap .fl-slide-content {
	padding: 15px;
}

/* home callouts */
.home h2.fl-callout-title {
	font-size: 16px;
	padding-bottom: 20px;
	font-weight: bold;
}

/* home callout zoom effect */
.fl-callout-photo div.fl-photo-content {
  overflow: hidden;
  height: auto;
}
.fl-callout-photo div.fl-photo-content a img {
  -webkit-transition: -webkit-transform 0.4s ease;
  -moz-transition: -moz-transform 0.4s ease;
  -o-transition: -o-transform 0.4s ease;
  transition: transform 0.4s ease;
}
.fl-callout-photo div.fl-photo-content a img:hover {
  -webkit-transform: scale(1.05);
  -moz-transform: scale(1.05);
  -ms-transform: scale(1.05);
  -o-transform: scale(1.05);
  transform: scale(1.05);
}

/* cta */
.fl-builder-content .general-cta .fl-cta-button a.fl-button {
	border: 2px solid #fff;
}

.fl-builder-content .general-cta .fl-cta-title {
	padding-top: 5px;
}

/* home previous work */
.home-prev-work .service {
	width: 33%;
	float: left;
}

.fl-content-slider-navigation a {
	opacity: 1;
}

.fl-content-slider-navigation path {
    fill: #274b8f;
}

.fl-content-slider-navigation .slider-prev {
	left: -5px;
}

/* lightbox stuff */
div.pp_default .pp_description {
	font-size: 16px;
	margin-top: 10px;
	margin-left: 10px;
}

.pp_expand {
	display: none !important;
}

div.pp_default .pp_nav .currentTextHolder {
	left: 40px;
}

/* contact page details with icons */
.contact-details h3 {
	margin-top: 0;
}

div.pp_default .pp_nav {
	width: 70px;
}

/* removing height and width restrictions on thumbnails in gallery */
.fl-gallery .fl-gallery-item {
	height: auto;
	width: 33%;
	float: left; 
	padding: 10px 10px 0;
	position: relative !important;
	left: auto !important;
	top: auto !important;
}

.wpcf7 .your-message .wpcf7-textarea {
	height: 150px;
}

/* top bar styling March 2020 */
.fl-page-bar-text.fl-page-bar-text-1 {
    font-size: 1.3em;
    line-height: 1.5em;
}

/******************************************** RESPONSIVE ******************************************/

@media (min-width: 1100px) {
	.fl-page-nav-container.container { max-width: 93%; }
	.fl-page-header-container.container { width: 1040px; max-width: 95%; }
	.fl-page-header-row .col-sm-6 { padding-right: 0; }
	.col-md-6.col-sm-6:last-child { padding-top: 37px; }
}

@media (max-width: 991px) {
	.row .contact-details .fl-icon-wrap .fl-icon i, .row .contact-details .fl-icon-wrap .fl-icon i:before { font-size: 40px; line-height: 45px; height: 45px; width: 30px; background: none; }
	.row .contact-details .fl-module-icon .fl-module-content.fl-node-content { margin-top: 0; margin-bottom: 0; }
}

@media (min-width: 769px) {
	.fl-page-nav .navbar-nav > li > a { padding: 18px 15px 15px; color: #333333; }
	.fl-page-nav ul.sub-menu { border-top: 0; }
	.fl-page-nav-collapse ul.navbar-nav > li { display: inline-block; float: none; }
}

@media (max-width: 768px) {
	li.current-menu-item a:after, .fl-page-nav-wrap .navbar-nav > li > a:hover:after, .fl-page-nav-wrap .navbar-nav > li > a:focus:after, .fl-sub-menu-open > a:after, .current-menu-parent a:after { display: none; }
	li.current-menu-item a, .fl-page-nav-wrap .navbar-nav > li > a:hover, .fl-page-nav-wrap .navbar-nav > li > a:focus, .fl-sub-menu-open > a, .current-menu-parent a { text-decoration: underline; }
	#menu-main-menu .sub-menu li a { text-decoration: none !important; }
	.previous-work-row .fl-content-slider .bx-wrapper .fl-slide-content-wrap .fl-slide-content { background: #fff; padding: 0; }
	.fl-col-content.fl-node-content .fl-module-icon { text-align: left !important; }
	.cta-row .fl-module-icon .fl-module-content.fl-node-content { margin-bottom: 0; text-align: center; }
	.cta-row { margin-top: 20px; }
	.fl-slide-text .services-wrap .service { width: 96%; }  
	.fl-slide-text .services-wrap .service img { margin: 0 auto; }
	.fl-slide-content .fl-slide-text .services-wrap .service { height: 270px !important; }
	.fl-photo-caption-hover { display: none; }
	.previous-work-gallery .fl-gallery { height: auto !important; }
	.fl-page-nav-toggle-button.fl-page-nav-toggle-visible-mobile .fl-page-nav ul.sub-menu li a { padding-left: 30px; }
	.pp_nav { display: none !important; }
	a.pp_close { right: 5px; top: -40px; z-index: 999999;}
	.fl-builder-content .fl-module-content-slider .fl-slide .fl-slide-content { padding: 10px 30px; background: #fff; }
}

@media (max-width: 500px) {
	.fl-content-slider-navigation .slider-prev { left: -10px; }
	.pp_description { float: none; display: block; width: 100%; clear: both; }
	.pp_content_container .pp_gallery { display: none !important; }
	div.pp_default .pp_next { background: url(/wp-content/plugins/responsive-lightbox/assets/prettyphoto/images/prettyPhoto/default/sprite_next.png) center right no-repeat; cursor: pointer; }
	div.pp_default .pp_previous { background: url(/wp-content/plugins/responsive-lightbox/assets/prettyphoto/images/prettyPhoto/default/sprite_prev.png) center right no-repeat; cursor: pointer; background-position: 0%; }
	.fl-gallery .fl-gallery-item { width: 100%; }
}

@media (max-width: 400px) {
	.fl-col-content.fl-node-content .fl-col-group .velux-head-col, .fl-col-content.fl-node-content .fl-col-group .velux-logo-col { width: 100% !important; } 
.fl-col-content.fl-node-content .fl-col-group .velux-logo-col .fl-photo-content { text-align: left; margin: 20px 0 10px; }
}